#ifndef PROMEMORY_H
#define PROMEMORY_H

#include <QMutex>
#include <QStack>
#include <QMap>
#include <QVariant>

class ProMemory
{
public:
    ~ProMemory();
    ProMemory(const ProMemory&)=delete;
    ProMemory& operator=(const ProMemory&)=delete;

    static ProMemory& getInstance() {
        static ProMemory instance;
        return instance;
    }

    QMap<QString, QVariant> getLoginUser();
    void setLoginUser(QMap<QString, QVariant> user);

    QMap<QString, QString> getLabCodeDict();
    void setLabCodeDict(QMap<QString, QString> bizLabCode);

    QMap<QString, QString> getGroupCodeDict();
    void setGroupCodeDict(QMap<QString, QString> bizGroupCode);

    QMap<QString, QString> getMeasureStatusDict();
    void setMeasureStatusDict(QMap<QString, QString> measureStatus);

private:
    ProMemory();

    QMap<QString, QVariant> loginUser;

    QMap<QString, QString> labCodeDict;
    QMap<QString, QString> groupCodeDict;
    QMap<QString, QString> measureStatusDict;
};

#endif // PROMEMORY_H
